Servoy Treeview Bean - Defect #1003

Servoy 8 treeview doesn't work
03/29/2016 09:17 AM - Juan Ramirez

Status: Closed Start date: 03/29/2016
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Hi, | have upgraded my servoy from 7.4.5 to 8.0.2 and this plugin stopped working. | am using Java version 1.8.0_73-b02
Its shows this Error:

Cannot find function setDataSet in object com.servoy.j2db.smart.dataui.ComponentJLabel [treeview, O,
29,373x518,alignmentX=0.0,alignmentY=0.0,border=,flags=25165824, maximumSize=, minimumSize=,preferre
dSize=,defaultIcon=,disabledIcon=,horizontalAlignment=LEADING, horizontalTextPosition=TRAILING, icon
TextGap=4, labelFor=, text=bean missing com.servoy.extensions.beans.treeview.TreeView,verticalAlignm
ent=CENTER, verticalTextPosition=CENTER]. (set_navegacion/forms/sn_treeview_frm/treeview_init_init#
380)
org.mozilla. javascript.EcmaError: TypeError: Cannot find function setDataSet in object com.servoy.
j2db.smart.dataui.ComponentJLabel [treeview, 0,29,373x518,alignmentX=0.0,alignment¥=0.0,border=, flag
s=25165824, maximumSize=, minimumSize=, preferredSize=,defaultIcon=,disabledIcon=, horizontalAlignment
=LEADING, horizontalTextPosition=TRAILING, iconTextGap=4, labelFor=,text=bean missing com.servoy.exte
nsions.beans.treeview.TreeView,verticalAlignment=CENTER, verticalTextPosition=CENTER]. (set_navegac
ion/forms/sn_treeview_frm/treeview_init_init#380)

at org.mozilla.javascript.ScriptRuntime.constructError (ScriptRuntime. java:3772)

at org.mozilla.javascript.ScriptRuntime.constructError (ScriptRuntime. java:3756)

at org.mozilla.javascript.ScriptRuntime.typeError (ScriptRuntime.java:3777)

at org.mozilla.javascript.ScriptRuntime.typeError2 (ScriptRuntime. java:3793)

at org.mozilla.javascript.ScriptRuntime.notFunctionError (ScriptRuntime. java:3855)

at org.mozilla.javascript.ScriptRuntime.getPropFunctionAndThisHelper (ScriptRuntime. java:2316)

at org.mozilla.javascript.ScriptRuntime.getPropFunctionAndThis (ScriptRuntime. java:2283)

at org.mozilla.javascript.gen.set_navegacion_forms_sn_treeview_frm_treeview_init_init_440._c_t
reeview_init_init_0 (set_navegacion/forms/sn_treeview_frm/treeview_init_init:380)

at org.mozilla.javascript.gen.set_navegacion_forms_sn_treeview_frm_treeview_init_init_440.call
(set_navegacion/forms/sn_treeview_frm/treeview_init_init)

at org.mozilla.javascript.optimizer.OptRuntime.callName (OptRuntime. java:88)

at org.mozilla.javascript.gen.set_navegacion_forms_sn_treeview_frm_treeview_init_438._c_treevi
ew_init_0 (set_navegacion/forms/sn_treeview_frm/treeview_init:53)

at org.mozilla.javascript.gen.set_navegacion_forms_sn_treeview_frm_treeview_init_438.call (set_
navegacion/forms/sn_treeview_frm/treeview_init)

at org.mozilla.javascript.optimizer.OptRuntime.callName (OptRuntime. java:88)

at org.mozilla.javascript.gen.maestro_forms_familia_treeview_frm_onShow_431._c_onShow_0 (maestr
o/forms/familia_treeview_frm/onShow:37)

at org.mozilla.javascript.gen.maestro_forms_familia_treeview_frm_onShow_431.call (maestro/forms
/familia_treeview_frm/onShow)

at org.mozilla.javascript.ContextFactory.doTopCall (ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall (ScriptRuntime. java:3204)

at org.mozilla.javascript.gen.maestro_forms_familia_treeview_frm_onShow_431.call (maestro/forms
/familia_treeview_frm/onShow)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction (ScriptEngine. java:654)

at com.servoy.j2db.BasicFormController.executeFunction (BasicFormController. java:1063)

at com.servoy.j2db.BasicFormController.executeFormMethod (BasicFormController. java:782)

at com.servoy.j2db.BasicFormController.executeOnShowMethod (BasicFormController. java:651)

at com.servoy.j2db.BasicFormController.access$2 (BasicFormController. java:645)

at com.servoy.j2db.BasicFormController$l.run (BasicFormController. java:385)

at java.awt.event.InvocationEvent.dispatch (Unknown Source)

at java.awt.EventQueue.dispatchEventImpl (Unknown Source)

at java.awt.EventQueue.access$500 (Unknown Source)

at java.awt.EventQueue$3.run (Unknown Source)
at java.awt.EventQueue$3.run (Unknown Source)
at java.security.AccessController.doPrivileged (Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege (Unknown Sourc

at java.awt.EventQueue.dispatchEvent (Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters (Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter (Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy (Unknown Source)
at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.pumpEvents (Unknown Source)

at java.awt.EventDispatchThread.run (Unknown Source)

Thanks
Best regards

Juan Ramirez

History

#1 - 03/29/2016 09:50 AM - Juan Ramirez

- Status changed from New to Feedback

| restart the server and upload the solution again and know works fine.

#2 - 06/09/2017 09:31 AM - Gabi Boros
- Status changed from Feedback to Closed

tested with 'servoy_sample_treeview.servoy' on Servoy 8.1.4, and it works
